library(MASS)
library(lme4)
library(reshape2)
library(plyr)

 
rm(list=ls())
RKstats <- function(x) c(M=mean(x), SD=sd(x), N=length(x), SE=sd(x)/sqrt(length(x)) )


load("EVS_dat.rda")

EVS<-EVS[EVS$blink==0 & EVS$fp!=0,]


EVS2 <- EVS[which(EVS$aoi%%10!=1 & EVS$aoi%%10!=0 & EVS$name_unit%%10!=1 & EVS$name_unit%%10!=0 & EVS$fixdur>60 & EVS$fixdur<800),]
EVS3 <- EVS2[which(EVS2$SpaceEvs>-5 & EVS2$SpaceEvs<5),]
EVS3 <- droplevels(EVS3)

cmat.t4 <- matrix(c(0.5,0.5,-0.5,-0.5, # nor vs dys
                    0.5,-0.5,0.5,-0.5, # dig vs dic
                    0.5,-0.5,-0.5,0.5  # interaction
                    ), 4,3,dimnames=list(c("nor", "nor", "dys", "dys"), 
	                                c("groupdiff", "conddiff", "interaction")))

contrasts(EVS3$cond) <- cmat.t4

temp1 <- ddply(EVS3,c("subj","group","block"),with,each(M=mean)(SpaceEvs))
ddply(temp1,c("group","block"),with,each(RKstats)(M))


summary(m1.Space <- lmer(SpaceEvs ~ cond + (1 | item) + (1 | subj), data=EVS3))
summary(lmer(SpaceEvs ~ group + (1 | item)+ (1 | subj), data=EVS3, subset=EVS3$block=="digit"))
summary(lmer(SpaceEvs ~ group + (1 | item)+ (1 | subj), data=EVS3, subset=EVS3$block=="dice"))